package olstore.controller;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import olstore.domain.logic.OlstoreFacade;

import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.Controller;


/**
 * 
 */
public class PopulateProgressController implements Controller {

	private OlstoreFacade olstore;

	public void setOlstore(OlstoreFacade olstore) {
		this.olstore = olstore;
	}

	public ModelAndView handleRequest(HttpServletRequest request, HttpServletResponse response) throws Exception {
        Map model = ControllerHelper.initModel(request, olstore);
        model.put("page_title", "Populating the database - Olstore");

        response.getWriter().println("----------------------");  
        response.getWriter().println("----------------------");
        response.getWriter().println("POPULATING");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("----------------------");
        response.getWriter().println("DONE");
        
        return null;        
    }
}
